> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Create a SAML service provider certificate (Beta)

POST https://api.sigmacomputing.com/v2/saml/service-providers/{samlServiceProviderId}/certificates
Content-Type: application/json

Create a certificate for a given SAML service provider.

**Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

### Usage notes
- To perform this operation, you must use API credentials owned by a user assigned the Admin account type.
- Retrieve the `samlServiceProviderId` by calling the [/saml/service-providers](https://help.sigmacomputing.com/reference/list-saml-service-providers) endpoint.

Reference: https://help.sigmacomputing.com/reference/create-saml-service-provider-certificate

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/saml/service-providers/{samlServiceProviderId}/certificates:
    post:
      operationId: createSamlServiceProviderCertificate
      summary: Create a SAML service provider certificate (Beta)
      description: >-
        Create a certificate for a given SAML service provider.


        **Beta**: This documentation describes a public beta feature and is
        subject to the [Beta
        features](/docs/sigma-product-releases#beta-features) disclaimer.


        ### Usage notes

        - To perform this operation, you must use API credentials owned by a
        user assigned the Admin account type.

        - Retrieve the `samlServiceProviderId` by calling the
        [/saml/service-providers](https://help.sigmacomputing.com/reference/list-saml-service-providers)
        endpoint.
      tags:
        - SAML
      parameters:
        - name: samlServiceProviderId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '201':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/saml_createSamlServiceProviderCertificate_Response_201
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                purpose:
                  $ref: >-
                    #/components/schemas/V2SamlServiceProvidersSamlServiceProviderIdCertificatesPostRequestBodyContentApplicationJsonSchemaPurpose
                  description: >-
                    Purpose of the certificate. Use `signing` for signing SAML
                    requests and `encryption` for encrypting SAML responses.
                validForDays:
                  type: number
                  format: double
                  description: Number of days the certificate is valid
              required:
                - purpose
                - validForDays
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2SamlServiceProvidersSamlServiceProviderIdCertificatesPostRequestBodyContentApplicationJsonSchemaPurpose:
      type: string
      enum:
        - signing
        - encryption
      description: >-
        Purpose of the certificate. Use `signing` for signing SAML requests and
        `encryption` for encrypting SAML responses.
      title: >-
        V2SamlServiceProvidersSamlServiceProviderIdCertificatesPostRequestBodyContentApplicationJsonSchemaPurpose
    saml_createSamlServiceProviderCertificate_Response_201:
      type: object
      properties:
        samlServiceProviderId:
          type: string
          description: Unique identifier of the SAML service provider
        samlServiceProviderCertificateId:
          type: string
          description: Unique identifier of the SAML service provider certificate
      required:
        - samlServiceProviderId
        - samlServiceProviderCertificateId
      title: saml_createSamlServiceProviderCertificate_Response_201
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "purpose": "signing",
  "validForDays": 365
}
```

**Response**

```json
{
  "samlServiceProviderId": "sp-9f8b7c6d-1234-4a56-b789-0cdef1234567",
  "samlServiceProviderCertificateId": "cert-4a3b2c1d-5678-4e90-a123-4b5c6d7e8f90"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/saml/service-providers/samlServiceProviderId/certificates"

payload = {
    "purpose": "signing",
    "validForDays": 365
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/saml/service-providers/samlServiceProviderId/certificates';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"purpose":"signing","validForDays":365}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/saml/service-providers/samlServiceProviderId/certificates"

	payload := strings.NewReader("{\n  \"purpose\": \"signing\",\n  \"validForDays\": 365\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/saml/service-providers/samlServiceProviderId/certificates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"purpose\": \"signing\",\n  \"validForDays\": 365\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/saml/service-providers/samlServiceProviderId/certificates")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"purpose\": \"signing\",\n  \"validForDays\": 365\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/saml/service-providers/samlServiceProviderId/certificates', [
  'body' => '{
  "purpose": "signing",
  "validForDays": 365
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/saml/service-providers/samlServiceProviderId/certificates");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"purpose\": \"signing\",\n  \"validForDays\": 365\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "purpose": "signing",
  "validForDays": 365
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/saml/service-providers/samlServiceProviderId/certificates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```